# -*- encoding: utf-8 -*-
# stub: local-openid 0.4.2 ruby lib

Gem::Specification.new do |s|
  s.name = "local-openid".freeze
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Eric Wong".freeze]
  s.date = "2020-02-22"
  s.description = "local-openid allows users with shell accounts on servers to authenticate\nwith OpenID consumers by editing a YAML file in their home directory\ninstead of authenticating through HTTP/HTTPS.".freeze
  s.email = "e@80x24.org".freeze
  s.executables = ["local-openid".freeze]
  s.extra_rdoc_files = ["NEWS".freeze, "LICENSE".freeze, "README".freeze]
  s.files = ["LICENSE".freeze, "NEWS".freeze, "README".freeze, "bin/local-openid".freeze]
  s.homepage = "https://yhbt.net/local-openid".freeze
  s.licenses = ["AGPL-3.0+".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Single User, Ephemeral OpenID Provider".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rack>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<sinatra>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<ruby-openid>.freeze, ["~> 2.1.7"])
  else
    s.add_dependency(%q<rack>.freeze, ["~> 1.3"])
    s.add_dependency(%q<sinatra>.freeze, ["~> 1.0"])
    s.add_dependency(%q<ruby-openid>.freeze, ["~> 2.1.7"])
  end
end
